Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve.games.specialgames
Class BertrandPerfectSubs

    java.lang.Object
      edu.princeton.repeatedgames.rgsolve.games.Game
          edu.princeton.repeatedgames.rgsolve.games.specialgames.BertrandPerfectSubs

All Implemented Interfaces:
  java.io.Serializable

    public class BertrandPerfectSubs

extends Game
implements java.io.Serializable

A Bertrand Game with the demand function for player i Q(pi, pj) = A - B * pi [if pi < pj] Q(pi, pj) = 0 [if pi > pj] Q(pi, pj) = (A - B * pi)/2 [if pi = pj] Constant marginal costs are c1 and c2 Maximum price is A/B

See Also:
  Serialized Form

Field Summary
`(package private) double` | `A` Quantity demanded at price zero
`(package private) double` | `B` (Negative) slope of demand curve
`(package private) double` | `c1` Constant marginal cost of player 1
`(package private) double` | `c2` Constant marginal cost of player 2
`(package private) double` | `maxPrice` Highest price action
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class edu.princeton.repeatedgames.rgsolve.games.Game
`description, extension`

Constructor Summary
`BertrandPerfectSubs(int m1, int m2, double delta, double A, double B, double c1, double c2)` Constructor

Method Summary
`double` | `getA()` Returns the value of the field called 'a'.
`double` | `getB()` Returns the value of the field called 'b'.
`double` | `getC1()` Returns the value of the field called 'c1'.
`double` | `getC2()` Returns the value of the field called 'c2'.
`double` | `getMaxPrice()` Returns the value of the field called 'maxPrice'.
`static long` | `getSerialversionuid()` Returns the value of the field called 'serialversionuid'.
`double` | `payoff1(int a1, int a2)` payoff to player 1
`double` | `payoff2(int a1, int a2)` payoff to player 2

Methods inherited from class edu.princeton.repeatedgames.rgsolve.games.Game
`actionUsable, copyUsableActions, delta, m, m1, m2, payoff, payoff, setActionUsable, setDescription, setDiscount, usableActionsDefined`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

### A

    double A

  Quantity demanded at price zero

### B

    double B

  (Negative) slope of demand curve

### c1

    double c1

  Constant marginal cost of player 1

### c2

    double c2

  Constant marginal cost of player 2

### maxPrice

    double maxPrice

  Highest price action

Constructor Detail

### BertrandPerfectSubs

    public BertrandPerfectSubs(int m1,
                               int m2,
                               double delta,
                               double A,
                               double B,
                               double c1,
                               double c2)

  Constructor

  Parameters:
    `m1` - number of actions for player 1
    `m2` - number of actions for player 2
    `delta` -
    `A` -
    `B` -
    `c1` -
    `c2` -

Method Detail

### payoff1

    public double payoff1(int a1,
                          int a2)

  Description copied from class: `Game`
  payoff to player 1

  Specified by:
    `payoff1` in class `Game`
  Parameters:
    `a1` - player 1 action
    `a2` - player 2 action
  Returns:
    the payoff to player 1

### payoff2

    public double payoff2(int a1,
                          int a2)

  Description copied from class: `Game`
  payoff to player 2

  Specified by:
    `payoff2` in class `Game`
  Parameters:
    `a1` - player 1 action
    `a2` - player 2 action
  Returns:
    the payoff to player 2

### getSerialversionuid

    public static long getSerialversionuid()

  Returns the value of the field called 'serialversionuid'.

  Returns:
    Returns the serialversionuid.

### getA

    public double getA()

  Returns the value of the field called 'a'.

  Returns:
    Returns the a.

### getB

    public double getB()

  Returns the value of the field called 'b'.

  Returns:
    Returns the b.

### getC1

    public double getC1()

  Returns the value of the field called 'c1'.

  Returns:
    Returns the c1.

### getC2

    public double getC2()

  Returns the value of the field called 'c2'.

  Returns:
    Returns the c2.

### getMaxPrice

    public double getMaxPrice()

  Returns the value of the field called 'maxPrice'.

  Returns:
    Returns the maxPrice.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD